## Gulp programs files


### Can be used if not published (Deprecated)
```
`yarn link` (current cli)

`yarn link mcgee-pages` (new project)
```
### Can be used 
```
yarn add mcgee-pages --dev

yarn mcgee-pages build   (run npm scripts build command)
```

### You need to create in a new project 
```
pages.config.js
```
### You can custom configuration file name like this
```
module.exports = {

  build:{
    src:'src',
    dist:'release',
    temp:'.tmp',
    public:'public',
    paths:{
      styles:'assets/styles/*.scss',
      scripts:'assets/scripts/*.js',
      pages:'*.html',
      images:'assets/images/**',
      fonts:'assets/fonts/**'
    }
  },

  data:{
    ...
  }
}
```

### Use NPM Scripts in new projects
```
yarn bulid
yarn develop
yarn clean
...
```
### Add cli configuration file `bin/mcgee-pages.js`
This configuration file eliminates the need to add gulpfile.js to your project



