#!/usr/bin/env node

//you can remove project/gulpfiles.js and use this cli by mcgee-pages

//查看gulp-cli window下执行。 node_modules/.bin/gulp.cmd | %~dp0为当前目录也就是.bin目录
//执行的是 node node_modules/gulp/bin/gulp.js  | require('gulp-cli')();

//执行拼接 可以输出下process.argv
process.argv.push('--cwd')
process.argv.push(process.cwd())
process.argv.push('--gulpfile')
process.argv.push(require.resolve('..'))//../lib/index | ..会自动找packagejson下main字段对应文件 | require载入模块，resolve找到模块所对应路径
// console.log(process.argv);
require('gulp/bin/gulp')


//总结：如果项目中不添加gulpfile，可以通过此cli文件自动生成gulpfile文件，
//不添加传统运行方式通过 项目中运行：yarn gulp build --gulpfile ./node_modules/mcgee-pages/lib/index.js --cwd .
//如果配置了此cli则通过 mcgee-pages build 即可自动找到项目需要运行的cli文件
//至此，外部项目完全不需要通过yarn build 等命令执行gulp 配置gulp 所有得gulp均配置在mcgee-pages中，外部只需要执行mcgee-pages xx即可